'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _reactComponentUtils = require('@ciscospark/react-component-utils');

var _react3 = require('@momentum-ui/react');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var styles = {
  'shareItem': 'shareItem--3oFsm',
  'fileIcon': 'fileIcon--13kPh',
  'meta': 'meta--2Uru1',
  'fileInfo': 'fileInfo--2nyTd',
  'fileName': 'fileName--RaF0r',
  'fileProps': 'fileProps--2CSP4',
  'shareActions': 'shareActions--3taq9',
  'shareActionItem': 'shareActionItem--3dTVX',
  'fileType': 'fileType--2jpZQ'
}; // @related-file ./styles.css

var propTypes = {
  file: _propTypes2.default.shape({
    displayName: _propTypes2.default.string,
    fileSize: _propTypes2.default.number,
    mimeType: _propTypes2.default.string,
    objectType: _propTypes2.default.string
  }).isRequired,
  isPending: _propTypes2.default.bool,
  onDownloadClick: _propTypes2.default.func.isRequired
};

var defaultProps = {
  isPending: false
};

function ActivityShareFile(props) {
  var file = props.file,
      isPending = props.isPending,
      onDownloadClick = props.onDownloadClick;
  var displayName = file.displayName,
      fileSize = file.fileSize,
      mimeType = file.mimeType,
      objectType = file.objectType;


  function handleDownloadClick() {
    onDownloadClick(file);
  }

  return _react2.default.createElement(
    'div',
    { className: (0, _classnames2.default)('ciscospark-activity-share-item', styles.shareItem) },
    _react2.default.createElement(
      'div',
      { className: (0, _classnames2.default)('ciscospark-share-file-icon', styles.fileIcon) },
      _react2.default.createElement(_react3.Icon, { name: 'icon-' + (0, _reactComponentUtils.getFileIcon)(mimeType, 32) })
    ),
    _react2.default.createElement(
      'div',
      { className: (0, _classnames2.default)('ciscospark-share-meta', styles.meta) },
      _react2.default.createElement(
        'div',
        { className: (0, _classnames2.default)('ciscospark-share-file-info', styles.fileInfo) },
        _react2.default.createElement(
          'div',
          { className: (0, _classnames2.default)('ciscospark-share-name', styles.fileName) },
          displayName
        ),
        _react2.default.createElement(
          'div',
          { className: (0, _classnames2.default)('ciscospark-share-file-props', styles.fileProps) },
          _react2.default.createElement(
            'span',
            { className: (0, _classnames2.default)('ciscospark-share-file-size', styles.fileSize) },
            (0, _reactComponentUtils.bytesToSize)(fileSize)
          ),
          _react2.default.createElement(
            'span',
            { className: (0, _classnames2.default)('ciscospark-share-file-type', styles.fileType) },
            objectType
          )
        )
      )
    ),
    !isPending && _react2.default.createElement(
      'div',
      { className: (0, _classnames2.default)('ciscospark-share-item-actions', styles.shareActions) },
      _react2.default.createElement(
        'div',
        { className: (0, _classnames2.default)('ciscospark-share-action-item', styles.shareActionItem) },
        _react2.default.createElement(
          _react3.Button,
          {
            ariaLabel: 'Download',
            style: { backgroundColor: 'black' },
            circle: true,
            onClick: handleDownloadClick,
            size: 32
          },
          _react2.default.createElement(_react3.Icon, { name: 'icon-arrow-tail-down_12', color: 'white' })
        )
      )
    )
  );
}

ActivityShareFile.propTypes = propTypes;
ActivityShareFile.defaultProps = defaultProps;

exports.default = ActivityShareFile;